@import "../../../../styles/theme/colors";
@import "../../../../styles/utils/responsive";

.header-section {
    display: flex;
    justify-content: space-between;
    border-bottom: 0.3rem solid $dark-pink;
    padding: 0 0 1rem 0;
}

.profile-section {
    display: flex;
    align-items: center;
    gap: 2rem;
    margin-top: 2rem;

    .profile {
        flex-shrink: 0;
        object-fit: cover;
        > img {
            width: 10rem;
            height: 10rem;
            border-radius: 50%;
            background-repeat: no-repeat;
            background-position: center center;
            background-size: cover;
        }

        @include respond(tab-land) {
            display: none;
        }
    }

    .profile-info {
        h6 {
            @include respond(tab-land) {
                font-size: 1.8rem;
            }
        }
    }
}

.email-body-section {
    width: 100%;
    @include respond(tab-land) {
        margin-top: 2rem;
    }
}

.actions {
    margin-top: 2rem;
    width: 100%;

    @include respond(tab-land) {
        display: flex;
        flex-direction: column;
    }

    button {
        &:not(:first-child) {
            margin-left: 1rem;
        }

        @include respond(tab-land) {
            &:not(:first-child) {
                margin-left: 0 !important;
                margin-top: 1rem;
            }
        }
    }
}
